Botan 2.19.5 Crypto and TLS for C&

Namespaces | Functions
roughtime.cpp File Reference
`#include <botan/roughtime.h>`
`#include <botan/base64.h>`
`#include <botan/hash.h>`
`#include <botan/internal/socket_udp.h>`
`#include <botan/pubkey.h>`
`#include <botan/rng.h>`
`#include <cmath>`
`#include <map>`
`#include <sstream>`

Go to the source code of this file.

## Namespaces
namespace | Botan
namespace | Botan::Roughtime

## Functions
std::array< uint8_t, request_min_size > | Botan::Roughtime::encode_request (const Nonce &nonce)
Nonce | Botan::Roughtime::nonce_from_blind (const std::vector< uint8_t > &previous_response, const Nonce &blind)
std::vector< uint8_t > | Botan::Roughtime::online_request (const std::string &uri, const Nonce &nonce, std::chrono::milliseconds timeout)
std::vector< Server_Information > | Botan::Roughtime::servers_from_str (const std::string &str)